Create a leave policy
curl --request POST \
--url https://api.plane.com/v1/leave-policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"status": "<string>",
"type": "<string>",
"effect": "<string>",
"unit": "<string>",
"eligibility": "<string>",
"period": {},
"accrual": {},
"carryover": {},
"balance": {},
"usage": {},
"payout": {}
}
'import requests
url = "https://api.plane.com/v1/leave-policies"
payload = {
"name": "<string>",
"description": "<string>",
"status": "<string>",
"type": "<string>",
"effect": "<string>",
"unit": "<string>",
"eligibility": "<string>",
"period": {},
"accrual": {},
"carryover": {},
"balance": {},
"usage": {},
"payout": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
status: '<string>',
type: '<string>',
effect: '<string>',
unit: '<string>',
eligibility: '<string>',
period: {},
accrual: {},
carryover: {},
balance: {},
usage: {},
payout: {}
})
};
fetch('https://api.plane.com/v1/leave-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Leave Policies
Create a leave policy
Create a leave policy in your Plane workspace.
POST
/
v1
/
leave-policies
Create a leave policy
Parameters
Human-readable policy name.
Plain-language explanation of the policy.
Lifecycle state for the policy. One of
draft, active, or archived. Defaults to active.Leave type, for example
vacation or sick_time_off.Whether the policy is a
set or add policy.Unit used for policy quantities. One of
days or hours.Optional CEL expression used for automatic matching against the worker resource shape, for
example
worker.employment.location.address.country == "FR".Period definition for the policy.
Optional accrual rule. Use
null for unlimited leave.Optional carryover rule. Use
null for use-it-or-lose-it.Optional balance bounds. Use
null for unlimited leave.Optional per-period usage cap.
Termination payout rule.
Returns
Returns the created Leave Policy object.Was this page helpful?
⌘I